<h2>Third Party Notices</h2>
<p>Corona Contact Tracing Germany uses third-party software or other resources that
    may be distributed under licenses different from that of the whole application.
</p>
<p>In the event that we overlooked to list a required notice, please bring this
    to our attention by contacting us in our issue tracker and we'll have a look at
    it: https://codeberg.org/corona-contact-tracing-germany/cwa-android/issues
</p>
<p>
    Derived from: Corona-Warn-App<br/>
    Licensor: SAP SE or an SAP affiliate company<br/>
    Website: https://github.com/corona-warn-app/cwa-app-android<br/>
    License: Apache 2.0</p>
<h2>Components:</h2>
<p>Component: microG exposure notification implementation<br/>
    Licensor: microG Project Team<br/>
    Website: https://github.com/microg/GmsCore<br/>
    License: Apache 2.0</p><br/>
<p>Component: App icon<br/>
    Licensor: larma<br/>
    License: Apache 2.0<br/>
    Based on the icon virus-outline from https://materialdesignicons.com/icon/virus-outline</p><br/>
<p>Component: android-database-sqlcipher<br/>
    Licensor: Zetetic LLC<br/>
    Website: https://www.zetetic.net/sqlcipher/<br/>
    License: BSD-style license</p><br/>
<p>Component: guava<br/>
    Licensor: Google<br/>
    Website: https://github.com/google/guava<br/>
    License: Apache 2.0</p><br/>
<p>Component: joda-time<br/>
    Licensor: Joda.org<br/>
    Website: https://www.joda.org/joda-time/<br/>
    License: Apache 2.0</p><br/>
<p>Component: MockK<br/>
    Licensor: github.com/mockk<br/>
    Website: https://github.com/mockk/mockk<br/>
    License: Apache 2.0</p><br/>
<p>Component: Robolectric<br/>
    Licensor: Xtreme Labs, Pivotal Labs and Google Inc.<br/>
    Website: https://robolectric.org/<br/>
    License: MIT</p><br/>
<p>Component: Zxing<br/>
    Licensor: zxing<br/>
    Website: https://github.com/zxing/zxing/<br/>
    License: Apache 2.0</p><br/>
<p>Component: ZXing Android Embedded<br/>
    Licensor: ZXing authors, Journey Mobile<br/>
    Website: https://github.com/journeyapps/zxing-android-embedded<br/>
    License: Apache 2.0</p><br/>
<p>Component: Detekt<br/>
    Licensor: detekt<br/>
    Website: https://detekt.github.io/detekt/<br/>
    License: Apache 2.0</p><br/>
<p>Component: gson<br/>
    Licensor: Google<br/>
    Website: https://github.com/google/gson<br/>
    License: Apache 2.0</p><br/>
<p>Component: okhttp<br/>
    Licensor: square<br/>
    Website: https://square.github.io/okhttp/<br/>
    License: Apache 2.0</p><br/>
<p>Component: kotlinx.coroutines<br/>
    Licensor: Kotlin<br/>
    Website: https://github.com/Kotlin/kotlinx.coroutines<br/>
    License: Apache 2.0</p><br/>
<p>Component: Ktlint Gradle<br/>
    Licensor: Jonathan Leitschuh<br/>
    Website: https://github.com/JLLeitschuh/ktlint-gradle<br/>
    License: MIT</p><br/>
<p>Component: Retrofit<br/>
    Licensor: square<br/>
    Website: https://square.github.io/retrofit/<br/>
    License: Apache 2.0</p><br/>
<p>Component: Protobuf gradle plugin<br/>
    Licensor: Google<br/>
    Website: https://github.com/google/protobuf-gradle-plugin<br/>
    License: BSD 3-Clause</p><br/>
<p>Component: Dagger<br/>
    Licensor: Google<br/>
    Website: https://github.com/google/dagger<br/>
    License: Apache 2.0</p><br/>
<p>Component: AssistedInject<br/>
    Licensor: Square<br/>
    Website: https://github.com/square/AssistedInject<br/>
    License: Apache 2.0</p><br/>
<p>Component: Conscrypt<br/>
    Licensor: Conscrypt<br/>
    Website: https://github.com/google/conscrypt<br/>
    License: Apache 2.0</p><br/>
<p>Component: Lottie<br/>
    Licensor: Airbnb, Inc.<br/>
    Website: http://airbnb.io/lottie<br/>
    License: Apache 2.0</p><br/>
<p>Copyright (c) 2008-2020 Zetetic LLC<br/>
    All rights reserved.</p><br/>
<p>Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions are met:</p>
<pre><code>  * Redistributions of source code must retain the above copyright
  notice, this list of conditions and the following disclaimer.
  * Redistributions in binary form must reproduce the above copyright
  notice, this list of conditions and the following disclaimer in the
  documentation and/or other materials provided with the distribution.
  * Neither the name of the ZETETIC LLC nor the
  names of its contributors may be used to endorse or promote products
  derived from this software without specific prior written permission.
</code></pre><p>THIS SOFTWARE IS PROVIDED BY ZETETIC LLC &#39;&#39;AS IS&#39;&#39; AND ANY
    EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    DISCLAIMED. IN NO EVENT SHALL ZETETIC LLC BE LIABLE FOR ANY
    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
    ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>
<p>Apache License 2.0 (guava, joda-time, MockK, RootBeer, Zxing, ZXing Android Embedded, Detekt,
    gson, okhttp, kotlinx.coroutines, Retrofit, Lottie)</p>
<pre><code>                             Apache License
                       Version 2.0, January 2004
                    https://www.apache.org/licenses/
</code></pre><p> TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION</p>
<ol>
    <li><p>Definitions.</p>
        <p>&quot;License&quot; shall mean the terms and conditions for use, reproduction,
            and distribution as defined by Sections 1 through 9 of this document.</p>
        <p>&quot;Licensor&quot; shall mean the copyright owner or entity authorized by
            the copyright owner that is granting the License.</p>
        <p>&quot;Legal Entity&quot; shall mean the union of the acting entity and all
            other entities that control, are controlled by, or are under common
            control with that entity. For the purposes of this definition,
            &quot;control&quot; means (i) the power, direct or indirect, to cause the
            direction or management of such entity, whether by contract or
            otherwise, or (ii) ownership of fifty percent (50%) or more of the
            outstanding shares, or (iii) beneficial ownership of such entity.</p>
        <p>&quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
            exercising permissions granted by this License.</p>
        <p>&quot;Source&quot; form shall mean the preferred form for making modifications,
            including but not limited to software source code, documentation
            source, and configuration files.</p>
        <p>&quot;Object&quot; form shall mean any form resulting from mechanical
            transformation or translation of a Source form, including but
            not limited to compiled object code, generated documentation,
            and conversions to other media types.</p>
        <p>&quot;Work&quot; shall mean the work of authorship, whether in Source or
            Object form, made available under the License, as indicated by a
            copyright notice that is included in or attached to the work
            (an example is provided in the Appendix below).</p>
        <p>&quot;Derivative Works&quot; shall mean any work, whether in Source or Object
            form, that is based on (or derived from) the Work and for which the
            editorial revisions, annotations, elaborations, or other modifications
            represent, as a whole, an original work of authorship. For the purposes
            of this License, Derivative Works shall not include works that remain
            separable from, or merely link (or bind by name) to the interfaces of,
            the Work and Derivative Works thereof.</p>
        <p>&quot;Contribution&quot; shall mean any work of authorship, including
            the original version of the Work and any modifications or additions
            to that Work or Derivative Works thereof, that is intentionally
            submitted to Licensor for inclusion in the Work by the copyright owner
            or by an individual or Legal Entity authorized to submit on behalf of
            the copyright owner. For the purposes of this definition, &quot;submitted&quot;
            means any form of electronic, verbal, or written communication sent
            to the Licensor or its representatives, including but not limited to
            communication on electronic mailing lists, source code control systems,
            and issue tracking systems that are managed by, or on behalf of, the
            Licensor for the purpose of discussing and improving the Work, but
            excluding communication that is conspicuously marked or otherwise
            designated in writing by the copyright owner as &quot;Not a Contribution.&quot;</p>
        <p>&quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
            on behalf of whom a Contribution has been received by Licensor and
            subsequently incorporated within the Work.</p>
    </li>
    <li><p>Grant of Copyright License. Subject to the terms and conditions of
        this License, each Contributor hereby grants to You a perpetual,
        worldwide, non-exclusive, no-charge, royalty-free, irrevocable
        copyright license to reproduce, prepare Derivative Works of,
        publicly display, publicly perform, sublicense, and distribute the
        Work and such Derivative Works in Source or Object form.</p>
    </li>
    <li><p>Grant of Patent License. Subject to the terms and conditions of
        this License, each Contributor hereby grants to You a perpetual,
        worldwide, non-exclusive, no-charge, royalty-free, irrevocable
        (except as stated in this section) patent license to make, have made,
        use, offer to sell, sell, import, and otherwise transfer the Work,
        where such license applies only to those patent claims licensable
        by such Contributor that are necessarily infringed by their
        Contribution(s) alone or by combination of their Contribution(s)
        with the Work to which such Contribution(s) was submitted. If You
        institute patent litigation against any entity (including a
        cross-claim or counterclaim in a lawsuit) alleging that the Work
        or a Contribution incorporated within the Work constitutes direct
        or contributory patent infringement, then any patent licenses
        granted to You under this License for that Work shall terminate
        as of the date such litigation is filed.</p>
    </li>
    <li><p>Redistribution. You may reproduce and distribute copies of the
        Work or Derivative Works thereof in any medium, with or without
        modifications, and in Source or Object form, provided that You
        meet the following conditions:</p>
        <p>(a) You must give any other recipients of the Work or</p>
        <pre><code>Derivative Works a copy of this License; and
</code></pre>
        <p>(b) You must cause any modified files to carry prominent notices</p>
        <pre><code>stating that You changed the files; and
</code></pre>
        <p>(c) You must retain, in the Source form of any Derivative Works</p>
        <pre><code>that You distribute, all copyright, patent, trademark, and
attribution notices from the Source form of the Work,
excluding those notices that do not pertain to any part of
the Derivative Works; and
</code></pre>
        <p>(d) If the Work includes a &quot;NOTICE&quot; text file as part of its</p>
        <pre><code>distribution, then any Derivative Works that You distribute must
include a readable copy of the attribution notices contained
within such NOTICE file, excluding those notices that do not
pertain to any part of the Derivative Works, in at least one
of the following places: within a NOTICE text file distributed
as part of the Derivative Works; within the Source form or
documentation, if provided along with the Derivative Works; or,
within a display generated by the Derivative Works, if and
wherever such third-party notices normally appear. The contents
of the NOTICE file are for informational purposes only and
do not modify the License. You may add Your own attribution
notices within Derivative Works that You distribute, alongside
or as an addendum to the NOTICE text from the Work, provided
that such additional attribution notices cannot be construed
as modifying the License.
</code></pre>
        <p>You may add Your own copyright statement to Your modifications and
            may provide additional or different license terms and conditions
            for use, reproduction, or distribution of Your modifications, or
            for any such Derivative Works as a whole, provided Your use,
            reproduction, and distribution of the Work otherwise complies with
            the conditions stated in this License.</p>
    </li>
    <li><p>Submission of Contributions. Unless You explicitly state otherwise,
        any Contribution intentionally submitted for inclusion in the Work
        by You to the Licensor shall be under the terms and conditions of
        this License, without any additional terms or conditions.
        Notwithstanding the above, nothing herein shall supersede or modify
        the terms of any separate license agreement you may have executed
        with Licensor regarding such Contributions.</p>
    </li>
    <li><p>Trademarks. This License does not grant permission to use the trade
        names, trademarks, service marks, or product names of the Licensor,
        except as required for reasonable and customary use in describing the
        origin of the Work and reproducing the content of the NOTICE file.</p>
    </li>
    <li><p>Disclaimer of Warranty. Unless required by applicable law or
        agreed to in writing, Licensor provides the Work (and each
        Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
        WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
        implied, including, without limitation, any warranties or conditions
        of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
        PARTICULAR PURPOSE. You are solely responsible for determining the
        appropriateness of using or redistributing the Work and assume any
        risks associated with Your exercise of permissions under this License.</p>
    </li>
    <li><p>Limitation of Liability. In no event and under no legal theory,
        whether in tort (including negligence), contract, or otherwise,
        unless required by applicable law (such as deliberate and grossly
        negligent acts) or agreed to in writing, shall any Contributor be
        liable to You for damages, including any direct, indirect, special,
        incidental, or consequential damages of any character arising as a
        result of this License or out of the use or inability to use the
        Work (including but not limited to damages for loss of goodwill,
        work stoppage, computer failure or malfunction, or any and all
        other commercial damages or losses), even if such Contributor
        has been advised of the possibility of such damages.</p>
    </li>
    <li><p>Accepting Warranty or Additional Liability. While redistributing
        the Work or Derivative Works thereof, You may choose to offer,
        and charge a fee for, acceptance of support, warranty, indemnity,
        or other liability obligations and/or rights consistent with this
        License. However, in accepting such obligations, You may act only
        on Your own behalf and on Your sole responsibility, not on behalf
        of any other Contributor, and only if You agree to indemnify,
        defend, and hold each Contributor harmless for any liability
        incurred by, or claims asserted against, such Contributor by reason
        of your accepting any such warranty or additional liability.</p>
        <p>END OF TERMS AND CONDITIONS</p>
    </li>
</ol>
<p>The MIT License</p>
<p>Copyright (c) 2010 Xtreme Labs, Pivotal Labs and Google Inc.</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documentation files (the &quot;Software&quot;), to deal
    in the Software without restriction, including without limitation the rights
    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
    copies of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in
    all copies or substantial portions of the Software.</p>
<p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
    THE SOFTWARE.</p>
<p>MIT License</p>
<p>Copyright (c) 2020 Jonathan Leitschuh</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documentation files (the &quot;Software&quot;), to deal
    in the Software without restriction, including without limitation the rights
    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
    copies of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all
    copies or substantial portions of the Software.</p>
<p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    SOFTWARE.</p>
<p>BSD 3-Clause (Protobuf gradle plugin)</p>
<p>Original work copyright (c) 2015, Alex Antonov. All rights reserved.
    Modified work copyright (c) 2015, Google Inc. All rights reserved.</p>
<p>Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions are met:</p>
<ol>
    <li><p>Redistributions of source code must retain the above copyright notice, this
        list of conditions and the following disclaimer.</p>
    </li>
    <li><p>Redistributions in binary form must reproduce the above copyright notice,
        this list of conditions and the following disclaimer in the documentation
        and/or other materials provided with the distribution.</p>
    </li>
    <li><p>Neither the name of the copyright holder nor the names of its contributors
        may be used to endorse or promote products derived from this software without
        specific prior written permission.</p>
    </li>
</ol>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND
    ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
    FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
    DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
    SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
    CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
    OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
    OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</p>